id: sprectrum_tools_all_spectrum
label: all_spectrum
category: '[sprectrum_tools]'

templates:
  imports: import sprectrum_tools
  make: sprectrum_tools.all_spectrum(${NFFT}, ${method})

#  Make one 'parameters' list entry for every parameter you want settable from the GUI.
#     Keys include:
#     * id (makes the value accessible as \$keyname, e.g. in the make entry)
#     * label (label shown in the GUI)
#     * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
parameters:
-   id: NFFT
    label: NFFT
    dtype: int
    default: 1024
-   id: method
    label: method
    dtype: enum
    options: ['"burg"', '"yulewalker"', '"correlagram"', '"MA_method"', '"ARMA"',
        '"covar"', '"modcovar"', '"minvar"', '"music"', '"ev"']
    option_labels: [burg, yulewalker, correlagram, MA_method, ARMA, covar, modcovar,
        minvar, music, ev]

#  Make one 'inputs' list entry per input and one 'outputs' list entry per output.
#  Keys include:
#      * label (an identifier for the GUI)
#      * domain (optional - stream or message. Default is stream)
#      * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
#      * vlen (optional - data stream vector length. Default is 1)
#      * optional (optional - set to 1 for optional inputs. Default is 0)
inputs:
-   domain: stream
    dtype: complex
    vlen: ${ NFFT }

outputs:
-   domain: stream
    dtype: float
    vlen: ${ NFFT }

documentation: "NFFT: Tama\xF1o total del conjunto de datos final\nmethod: M\xE9todo\
    \ de estimaci\xF3n espectral a ejecutar \n\nla implementaci\xF3n de los m\xE9\
    todos de estimaci\xF3n espectral como bloques en GNU Radio (M\xF3dulos out-of-tree)\
    \ desarrollados en Python se hace uso de la librer\xEDa Spectrum (https://pypi.org/project/spectrum/),\
    \ esta es una librer\xEDa de Python que contiene herramientas para obtener la\
    \ densidad espectral de potencia (PSD) tanto para m\xE9todos param\xE9tricos como\
    \ no param\xE9tricos, adem\xE1s ofrece diferentes funcionalidades en el an\xE1\
    lisis de se\xF1ales"


#  'file_format' specifies the version of the GRC yml format used in the file
#  and should usually not be changed.
file_format: 1
